import 'package:flutter/material.dart';

class ProfessionalRevisionScreen extends StatefulWidget {
  const ProfessionalRevisionScreen({super.key});

  @override
  State<ProfessionalRevisionScreen> createState() =>
      _ProfessionalRevisionScreenState();
}

class _ProfessionalRevisionScreenState
    extends State<ProfessionalRevisionScreen> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
      appBar: AppBar(
          backgroundColor: Colors.white,
          leading: IconButton(
            icon: Icon(Icons.arrow_back),
            onPressed: () {
              Navigator.pop(context);
            },
          ),
          iconTheme: IconThemeData(
            color: Colors.black,
          ),
          title: Text(
            'Perfil profesional',
            style: TextStyle(
              color: Colors.black,
            ),
          )),
      body: Container(
        color: Colors.white,
        child: Padding(
          padding: const EdgeInsets.only(top: 40),
          child: Column(
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Icon(
                    Icons.access_time,
                    color: Color(0xFF2BA4EC),
                  ),
                  SizedBox(width: 8),
                  Text('Información en revisión.',
                      style: TextStyle(
                          color: Color(0xFF2BA4EC),
                          fontSize: 17,
                          fontWeight: FontWeight.w500)),
                ],
              ),
              const Image(
                image: AssetImage('images/checklist.gif'),
                width: 300,
              ),
              Container(
                margin: EdgeInsets.symmetric(horizontal: 40),
                decoration: BoxDecoration(
                  color: Color(0xFFD6F4FF),
                  borderRadius: BorderRadius.circular(30),
                  boxShadow: [
                    BoxShadow(
                      color: Colors.grey.withOpacity(0.5),
                      spreadRadius: 2,
                      blurRadius: 5,
                      offset: Offset(0, 3), // changes position of shadow
                    ),
                  ],
                ),
                padding: EdgeInsets.symmetric(vertical: 15, horizontal: 25),
                child: Wrap(
                  alignment: WrapAlignment.start, // Centra el contenido
                  children: [
                    Row(
                      children: [
                        Icon(
                          Icons.info_outline,
                          size: 20,
                        ),
                        SizedBox(width: 5),
                        Text(
                          'Su información, esta en revisión, ',
                          style: TextStyle(
                            fontSize: 14,
                          ),
                        ),
                      ],
                    ),
                    Text(
                      'una vez aprobada podrá acceder, ',
                      style: TextStyle(
                        fontSize: 14,
                      ),
                    ),
                    Text(
                      'al perfil profesional.',
                      style: TextStyle(
                        fontSize: 14,
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    ));
  }
}
